﻿#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.IO;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using System.Windows.Controls;
using System.Windows;

namespace SerializationDemo
{
    public static class Commands
    {
        static Commands()
        {
            CommandManager.RegisterClassCommandBinding(typeof(SfDataGrid), new CommandBinding(Serialize, OnExecuteSerialize, OnCanExecuteSerialize));
            CommandManager.RegisterClassCommandBinding(typeof(SfDataGrid), new CommandBinding(Deserialize, OnExecuteDeserialize, OnCanExecuteDeserialize));
        }

        #region Serialize Command

        public static RoutedCommand Serialize = new RoutedCommand("Serialize", typeof(SfDataGrid));

        private static void OnExecuteSerialize(object sender, ExecutedRoutedEventArgs args)
        {
            var dataGrid = args.Source as SfDataGrid;

            if (dataGrid == null) return;
            var options = args.Parameter as SerializationOptions;
            try
            {
                using (var file = File.Create("DataGrid.xml"))
                {
                    dataGrid.Serialize(file, options);
                }
            }
            catch (Exception)
            {

            }
        }

        private static void OnCanExecuteSerialize(object sender, CanExecuteRoutedEventArgs args)
        {
            args.CanExecute = true;
        }

        #endregion

        #region Deserialize Command

        public static RoutedCommand Deserialize = new RoutedCommand("Deserialize", typeof(SfDataGrid));

        private static void OnExecuteDeserialize(object sender, ExecutedRoutedEventArgs args)
        {
            var dataGrid = args.Source as SfDataGrid;
            if (dataGrid == null) return;
            var options = args.Parameter as DeserializationOptions;
            try
            {
                using (var file = File.Open("DataGrid.xml", FileMode.Open))
                {
                    dataGrid.Deserialize(file, options);
                    var col = dataGrid.Columns.FirstOrDefault(column => column.MappingName == "SupplierID");

                    col.CellTemplate = App.Current.Resources["TemplateColumn"] as DataTemplate;
                   
                }
            }
            catch (Exception)
            {

            }
        }

        private static void OnCanExecuteDeserialize(object sender, CanExecuteRoutedEventArgs args)
        {
            args.CanExecute = true;
        }

        #endregion
    }
}
